cURL
curl --request GET \
--url https://api.helohq.com/activity/events \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk;
using HeloEmail.Sdk.Activity;
var paginatedEvents = await helo.Activity.ListEvents(channelId: "550e8400-e29b-41d4-a716-446655440000", messageId: "550e8400-e29b-41d4-a716-446655440000");Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
opts = {
channel_id: "550e8400-e29b-41d4-a716-446655440000",
message_id: "550e8400-e29b-41d4-a716-446655440000",
after: 10,
start_date: "2024-01-01T00:00:00Z",
end_date: "2024-01-01T00:00:00Z",
limit: 10,
recipient: "example",
subject: "example",
tags: ["example1", "example2"],
mail_type: "transactional",
event_types: [Helo::EventType::ACCEPTED, Helo::EventType::PROCESSED]
}
Helo::Activity.list_events(opts)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
paginated_events = client.activity.list_events(
channel_id="550e8400-e29b-41d4-a716-446655440000",
message_id="550e8400-e29b-41d4-a716-446655440000",
)package main
import (
"context"
"log"
"os"
"time"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.ActivityListEventsParams{
ChannelID: "550e8400-e29b-41d4-a716-446655440000",
MessageID: "550e8400-e29b-41d4-a716-446655440000",
After: 10,
StartDate: time.Now(),
EndDate: time.Now(),
Limit: 10,
Recipient: "example",
Subject: "example",
Tags: []string{"example1", "example2"},
MailType: "transactional",
EventTypes: []helo.EventType{helo.EventTypeAccepted, helo.EventTypeProcessed},
}
result, err := client.Activity.ListEvents(ctx, params)
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.activity.listEvents({
channelId: "550e8400-e29b-41d4-a716-446655440000",
messageId: "550e8400-e29b-41d4-a716-446655440000",
after: 10,
startDate: "2024-01-01T00:00:00Z",
endDate: "2024-01-01T00:00:00Z",
limit: 10,
recipient: "example",
subject: "example",
tags: ["example1", "example2"],
mailType: "transactional",
eventTypes: [Helo.EventType.ACCEPTED, Helo.EventType.PROCESSED],
});{
"totalCount": 123,
"results": [
{
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mailType": "transactional",
"eventType": "accepted",
"timestamp": "2023-11-07T05:31:56Z",
"subject": "<string>",
"recipients": [
"<string>"
],
"mailSource": "api",
"tags": [
"<string>"
],
"metadata": {},
"details": {}
}
],
"after": 123
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Activity
List activity events
Retrieves activity events for messages, including delivery status, opens, clicks, bounces, unsubscribes and complaints.
GET
/
activity
/
events
cURL
curl --request GET \
--url https://api.helohq.com/activity/events \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk;
using HeloEmail.Sdk.Activity;
var paginatedEvents = await helo.Activity.ListEvents(channelId: "550e8400-e29b-41d4-a716-446655440000", messageId: "550e8400-e29b-41d4-a716-446655440000");Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
opts = {
channel_id: "550e8400-e29b-41d4-a716-446655440000",
message_id: "550e8400-e29b-41d4-a716-446655440000",
after: 10,
start_date: "2024-01-01T00:00:00Z",
end_date: "2024-01-01T00:00:00Z",
limit: 10,
recipient: "example",
subject: "example",
tags: ["example1", "example2"],
mail_type: "transactional",
event_types: [Helo::EventType::ACCEPTED, Helo::EventType::PROCESSED]
}
Helo::Activity.list_events(opts)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
paginated_events = client.activity.list_events(
channel_id="550e8400-e29b-41d4-a716-446655440000",
message_id="550e8400-e29b-41d4-a716-446655440000",
)package main
import (
"context"
"log"
"os"
"time"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.ActivityListEventsParams{
ChannelID: "550e8400-e29b-41d4-a716-446655440000",
MessageID: "550e8400-e29b-41d4-a716-446655440000",
After: 10,
StartDate: time.Now(),
EndDate: time.Now(),
Limit: 10,
Recipient: "example",
Subject: "example",
Tags: []string{"example1", "example2"},
MailType: "transactional",
EventTypes: []helo.EventType{helo.EventTypeAccepted, helo.EventTypeProcessed},
}
result, err := client.Activity.ListEvents(ctx, params)
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.activity.listEvents({
channelId: "550e8400-e29b-41d4-a716-446655440000",
messageId: "550e8400-e29b-41d4-a716-446655440000",
after: 10,
startDate: "2024-01-01T00:00:00Z",
endDate: "2024-01-01T00:00:00Z",
limit: 10,
recipient: "example",
subject: "example",
tags: ["example1", "example2"],
mailType: "transactional",
eventTypes: [Helo.EventType.ACCEPTED, Helo.EventType.PROCESSED],
});{
"totalCount": 123,
"results": [
{
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mailType": "transactional",
"eventType": "accepted",
"timestamp": "2023-11-07T05:31:56Z",
"subject": "<string>",
"recipients": [
"<string>"
],
"mailSource": "api",
"tags": [
"<string>"
],
"metadata": {},
"details": {}
}
],
"after": 123
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x <= 500Available options:
transactional, broadcast Available options:
accepted, processed, delivered, bounced, opened, clicked, complained, unsubscribed, resubscribed